#!/usr/bin/env python3

"""
A program that loads a matrix (one of the 3 supported types), and then
prints it and its eigenvalues.
"""

import symtoep as st
try:
    import scipy.linalg as la
except ImportError:
    import numpy.linalg as la

A = st.menu()
print("A:\n{}".format(A))
print("The eigenvalues of the loaded matrix are:\n  {}".format(", ".join(str(x) for x in la.eigvalsh(A))))
