#!/usr/bin/env python3

"""
A program that loads a matrix (one of the 3 supported types), and then
prints it and a message explaining if it is positive semidefinite or not.
"""

import symtoep as st
from numpy.linalg.linalg import LinAlgError
try:
    import scipy.linalg as la
except ImportError:
    import numpy.linalg as la

A = st.menu()
print("A:\n{}".format(A))
try:
    la.cholesky(A)
except LinAlgError:
    print("The matrix is NOT positive semidefinite.")
else:
    print("The matrix is positive semidefinite.")
